Finds out whether a variable is a boolean

- « is_array

- is_callable »

- PHP Manual
- Variable handling Functions
- Finds out whether a variable is a boolean

# is_bool

(PHP 4, PHP 5, PHP 7, PHP 8)

is_bool — Finds out whether a variable is a boolean

### Description

is_bool(mixed `$value`): bool

Finds whether the given variable is a boolean.

### Parameters

`value`

  The variable being evaluated.

### Return Values

Returns `true` if `value` is a bool, `false` otherwise.

### Examples

Example #1 is_bool() examples

    <?php
    $a = false;
    $b = 0;

    // Since $a is a boolean, it will return true
    if (is_bool($a) === true) {
        echo "Yes, this is a boolean";
    }

    // Since $b is not a boolean, it will return false
    if (is_bool($b) === false) {
        echo "No, this is not a boolean";
    }
    ?>

### See Also

- is_float() - Finds whether the type of a variable is float
- is_int() - Find whether the type of a variable is integer
- is_string() - Find whether the type of a variable is string
- is_object() - Finds whether a variable is an object
- is_array() - Finds whether a variable is an array